// $Id: client.cpp 76591 2007-01-25 18:17:52Z elliott_c $

// -- App. Specific Include --
#include "CounterC.h"
// #include "util.h"

// -- App. Specific Include --
#include "Policy_Verifier.h"

#include "tao/Strategies/advanced_resource.h"

ACE_RCSID(tao, client, "$Id: client.cpp 76591 2007-01-25 18:17:52Z elliott_c $")

int
main (int argc, char *argv[])
{
  int status = 0;

  try
    {
      Policy_Verifier policy_verifier;

      bool retval = policy_verifier.init (argc, argv);

      if (retval)
        {
          policy_verifier.run ();
        }
      else
        {
          status++;
        }
    }
  catch (const CORBA::Exception& ex)
    {
      ex._tao_print_exception ("CORBA Exception Raised");
      status++;
    }


  return status;
}
